package com.atlassian.bitbucket.internal.ssh.server;

import org.apache.sshd.common.keyprovider.KeyPairProvider;

import javax.annotation.Nonnull;

/**
 * @since 3.6
 */
public interface HostKeyPairProvider extends KeyPairProvider {

    @Nonnull
    String getAlgorithm();

    @Nonnull
    String getFingerprint();
}
